<?php
if (!defined('_ECRIRE_INC_VERSION')) return;

// lire le cache
include_spip('inc/cibloc_lire_cache');
cibloc_lire_cache_definition();


$cibloc_info_pj = '';
if (defined('_CIBLOC_BLOC_RESSOURCES_AUTOMATIQUE') AND _CIBLOC_BLOC_RESSOURCES_AUTOMATIQUE=='oui' ){
    $cibloc_info_pj = '<br>- Les documents (ainsi que liens insérés avec la syntaxe &#91;Titre du lien->adresse&#93;), précédés d\'un retour à la ligne, sont automatiquement transformés en liste lors du calcul de la page (sauf s\'ils sont dans un bloc ou dans un tableau SPIP).';
}

$GLOBALS[$GLOBALS['idx_lang']] = array(
'choisir_bloc' => 'Choisir un bloc',
'choisir_icone' => 'Choisir une icône',
'choisir_bouton' => 'Insérer un bouton',

'voir_explication' => 'Afficher les explications',    
'masquer_explication' => 'Masquer les explications',  
'fermer_fenetre' => 'Fermer la fenêtre',

'info_bloc' => 'Cliquer sur un bloc (ou des colonnes ou un ensemble de blocs) pour l\'insérer dans le texte.<br><br>',
'info_icone' => 'Cliquer sur une icône pour l\'insérer dans le texte.<br><br>',
'info_bouton' => 'Ce formulaire permet de créer un lien qui a la forme d\'un bouton,<br>avec la syntaxe suivante : &#91;bouton_...&#93;&#91;Titre->adresse&#93;&#91;&#47;bouton_...&#93;<br><br>',

'info_pied_bloc' => 'Explications :<br>- Avant d\'insérer un bloc, cliquer dans le texte de l\'article à l\'endroit où vous voulez que le bloc soit inséré.<br>- Lorsque l\'on clique sur un ensemble (de blocs) qui contient une image, cette image de démonstration est insérée avec la syntaxe suivante : &lt;demoimage|nom=image10&gt;<br>Il convient de la remplacer avec vos images.<br>- Lorsque l\'on clique sur un bloc qui contient un lien sous forme de bouton, il est inséré par exemple avec la syntaxe suivante : &#91;bouton_gris&#93;&#91;Exemple de lien->http://www.google.fr&#93;&#91;/bouton_gris&#93;.<br> Il convient de remplacer le titre du lien et son adresse avec le titre et l\'adresse souhaitée.<br>- On peut mettre un multi colonnes dans un bloc.<br>- On peut mettre un bloc dans une colonne.<br>- Si un bloc est contenu dans un autre bloc, un message d\'erreur s\'affichera.<br>- Si un multi colonnes est contenu dans un autre multi colonnes, un message d\'erreur s\'affichera.'.$cibloc_info_pj,
'info_pied_icone' => 'Explications :<br>- Avant d\'insérer une icône, cliquer dans le texte de l\'article à l\'endroit où vous voulez que l\'icône soit insérée.<br>- Lorsque l\'on clique sur une icône, cela insère l\'icône dans le texte de l\'article avec la syntaxe suivante : &lt;icone|nom=bicycle|echelle=2&gt;<br>- Avant de cliquer sur une icône, il est possible de sélectionner son échelle, son alignement et sa couleur.<br>- Il est possible d\'insérer une icône dans le titre d\'un lien (mais pas dans le titre d\'un article)<br>- Si une icône n\'est pas dans la liste, on peut essayer de remplacer nom=... avec le nom de l\'icône souhaitée (de FontAwesome version 4.7.0).',
'info_pied_bouton' => 'Explications :<br>- L\'adresse peut être externe au site (exemple : http://www.monsite.com),<br>ou bien celle d\'un article de ce site, en indiquant son numéro (exemple : art8),<br>ou bien celle d\'une rubrique de ce site, en indiquant son numéro (exemple : rub12), etc.<br>- La largeur du bouton s\'adapte automatiquement à celle de son titre',

'liste_bloc' => 'Liste des blocs',
'liste_icone' => 'Liste des icônes',
'liste_bouton' => 'Liste des boutons',

'info_liste_bloc' => 'Explications :<br>- Copier l\'une des syntaxes dans le texte de l\'article à l\'endroit où vous voulez que le bloc soit inséré.<br>- On peut mettre un multi colonnes dans un bloc.<br>- On peut mettre un bloc dans une colonne.<br>- Si un bloc est contenu dans un autre bloc, il sera automatiquement supprimé.<br>- Si un multi colonnes est contenu dans un autre multi colonnes, il sera automatiquement supprimé.'.$cibloc_info_pj,
'info_liste_icone' => 'Explications :<br>- Copier l\'une des syntaxes dans le texte de l\'article à l\'endroit où vous voulez que l\'icône soit insérée.<br>- Il est possible de modifier ensuite l\'échelle en remplaçant echelle=2 par echelle=1 (ou 3 ou 4 ou 5).<br>- Il est possible de centrer une icône, avec la même syntaxe que pour les images : &lt;icone|nom=bicycle|echelle=2|center&gt;.<br>- Si une icône n\'est pas dans la liste, on peut essayer de remplacer nom=... avec le nom de l\'icône souhaitée (de FontAwesome version 4.7.0).',
'info_liste_bouton' => 'Explications :<br>- Copier l\'une des syntaxes dans le texte de l\'article à l\'endroit où vous voulez que le bouton soit inséré.<br>- L\'adresse peut être externe au site (exemple : http://www.monsite.com),<br>ou bien celle d\'un article de ce site, en indiquant son numéro (exemple : art8),<br>ou bien celle d\'une rubrique de ce site, en indiquant son numéro (exemple : rub12), etc.<br>- La largeur du bouton s\'adapte automatiquement à celle de son titre',

'inserer' => 'Insérer : ',

'titre_demo_doc' => 'Titre du',

'config_titre' => 'Configurer les blocs, etc.',    
'info_cibloc' => 'Configurer les couleurs pour CIBLOC',    
'titre_couleur_bloc' => 'Couleurs de fond des blocs',
'titre_couleur_bord' => 'Couleurs des bordures pour les blocs',
'titre_couleur_icone' => 'Couleur des icônes',
'titre_couleur_lien' => 'Couleur de certains liens dans les blocs',
'titre_couleur_trait' => 'Couleur du trait de séparation',
'titre_couleur_bloc_accordeon' => 'Couleurs pour les blocs accordéon',
'titre_couleur_bloc_ressource' => 'Couleurs pour les listes de documents et de liens',   
'titre_couleur_bouton' => 'Couleurs pour les boutons',
    
/* ne pas traduire bloc_gris, ..., car ce sont des codes */    

'bord_gris' => 'Bord gris',
'bord_ombre' => 'Bord avec ombre',
    
'bord_accordeon' => 'Bord',
'bouton_accordeon' => 'Bouton',

'bord_ressource' => 'Bord',
'icone_ressource' => 'Icône',
    
'couleur_par_defaut' => 'Couleur par défaut',
'couleur' => 'Couleur',
'echelle' => 'Echelle',    
'alignement' => 'Alignement',
'bouton' => 'Bouton',
'bouton_titre' => '<b>Titre</b> [Obligatoire]',    
'bouton_url' => '<b>Adresse du lien</b> [Obligatoire]',    
'fond_transparent' => 'Fond transparent',    

'lien_noir' => 'Lien',
'lien_blanc' => 'Lien blanc (sur fond sombre)',
'lien_blanc_survol' => 'Survol d\'un lien blanc',

'fond_en_couleur' => 'Avec un fond en couleur',    
'fond_transparent' => 'Avec un fond transparent (vide)',    
  
'config_blocs_titre' => 'Configurer les blocs',
'config_ensembles_titre' => 'Configurer les ensembles de blocs',
'config_ensemble_titre' => 'Configurer cet ensemble de blocs',
'config_boutons_titre' => 'Configurer les boutons',
'config_icones_liste_titre' => 'Configurer la liste des icônes',
'config_icones_couleur_titre' => 'Configurer les couleurs des icônes',
'config_divers_titre' => 'Configurer les points divers',

'voir_config_blocs_titre' => 'Voir la configuration des blocs',
'voir_config_ensembles_titre' => 'Voir la configuration des ensembles de blocs',
'voir_config_ensemble_titre' => 'Voir la configuration de cet ensemble de blocs',
'voir_config_boutons_titre' => 'Voir la configuration des boutons',
'voir_config_icones_liste_titre' => 'Voir la liste des icônes',
'voir_config_icones_couleur_titre' => 'Voir la configuration des couleurs des icônes',
'voir_config_divers_titre' => 'Voir la configuration des points divers',
    

'configurer' => 'Configurer : ',
'voir_configuration' => 'Voir la configuration : ',
    
'liste_bouton' => 'Liste des boutons',
'bouton' => 'Bouton',
'actif' => 'Actif',
'action' => 'Action',
'bouton_transparent' => 'Ce bouton a un fond transparent. La couleur du bouton s\'applique à la bordure et au texte du bouton.',
    
'config_bouton' => 'Configuration du bouton',    
'configurer_le_bouton' => 'Configurer le bouton',    
'voir_config_bouton' => 'Voir la configuration du bouton',    
'nom' => 'Nom',
'statut' => 'Statut',
'statut_active' => 'Actif',
'statut_masque' => 'Actif mais masqué dans la barre d\'outils',
'statut_desactive' => 'Désactivé',

'statut_ensemble_active' => 'Affiché dans la barre d\'outils',
'statut_ensemble_masque' => 'Masqué dans la barre d\'outils',
    
'couleur_bouton' => 'Couleur du bouton',
'couleur_bouton_survol' => 'Couleur du bouton au survol',
'taille_texte' => 'Taille du texte',
 
'valeur_incorrecte' => 'Valeur incorrecte',
'obligatoire' => 'Obligatoire',

'config_bloc' => 'Configuration du bloc',    
'couleur_bloc' => 'Couleur du bloc',
'bordure_bloc' => 'Bordure du bloc',
'couleur_bordure_bloc' => 'Couleur de la bordure',
'couleur_bouton_bloc' => 'Couleur du bouton pour déplier',
'alignement_texte' => 'Alignement du texte',
'preremplir' => 'Texte fictif qui figure dans le bloc',
'preremplir_ensemble' => 'Texte de cet ensemble',

'padding_top' => 'Marge interne en haut (unité:rem)',
'padding_bottom' => 'Marge interne en bas (unité:rem)',
'padding_right' => 'Marge interne à droite (unité:rem)',
'padding_left' => 'Marge interne à gauche (unité:rem)',

'icones_liste' => 'Liste des icônes (séparées impérativement par une virgule)',    
  
    
'titre_couleur_bord_multisansmarge' => 'Couleur pour les multi colonnes sans marge',       
'bord_multisansmarge' => 'Bord',
'texte_trait' => 'Trait',    

    
'icone_creer_bloc' => 'Créer un nouveau bloc',    
'nouveau_bloc' => 'Nouveau bloc',    
'icone_supprimer_bloc' => 'Supprimer ce bloc',

'icone_creer_ensemble' => 'Créer un nouvel ensemble',    
'nouvel_ensemble' => 'Nouvel ensemble',    
'valeur_existe' => 'Cette valeur existe déjà',    
'trop_long' => 'Cette valeur est trop longue',    
'id' => '<b>Identifiant</b> [Obligatoire]<br>(caractères autorisés : lettres minuscules sans accents et chiffres)',    
'nom' => '<b>Nom</b> [Obligatoire]',    
'icone_supprimer_ensemble' => 'Supprimer cet ensemble',
'icone_reinitialiser' => 'Réinitialiser avec les valeurs par défaut',
    
'exporter_config' => 'Exporter la configuration',
'importer_config' => 'Importer une configuration',
'info_import_config' => 'Vous avez la possibilité d\'importer une configuration exportée d\'un autre site (le fichier est intitulé cibloc_config.txt) afin d\'éviter de la créer manuellement.<div class="notice">ATTENTION : Importer une configuration supprime la configuration existante. Aussi, il est recommandé de faire d\'abord une sauvegarde de la configuration existante en l\'exportant.</div>',

'choix_export_couleur' => 'Palette de couleurs',
'choix_export_palette' => 'Palette de couleurs',
'choix_export_bloc' => 'Configuration des blocs',
'choix_export_ensemble' => 'Configuration des ensembles de blocs',
'choix_export_bouton' => 'Configuration des boutons',
'choix_export_icones_liste' => 'Liste des icônes',
'choix_export_icones_couleur' => 'Configuration des couleurs des icônes',
'choix_export_divers' => 'Configuration des points divers',
'choix_export_style' => 'Configuration du style pour l\'affichage de la liste des blocs',

'item_export_txt' => 'Export normal (dans un fichier texte qui peut être importé dans un autre site)',
'item_export_php' => 'Export spécifique (dans un fichier PHP à déposer dans le dossier /config/ d\'un autre site afin de lui imposer cette configuration)',

'choix_export' => 'Contenu à exporter',
'type_export' => 'Type d\'exportation',
'bouton_import_config' => 'Importer ce fichier de configuration',
'traitement_termine' => 'Traitement terminé<br><br>Liste des éléments importés :',
'traitement_echec' => 'ECHEC de l\'importation<br><br>Liste des erreurs :',    
'televerser_config' => 'Téléversement du fichier de configuration',
'config_a_importer' => 'Configuration à importer',
'erreur_format_txt' => 'Le fichier doit avoir le format txt',
'config_facultative' => 'La configuration est facultative.<br>En effet, les blocs disposent d\'une configuration par défaut, etc.',
    
'rang_bloc' => 'Ordre dans la liste des blocs (de 0 à 9999)',
'rang_ensemble' => 'Ordre dans la liste des ensembles<br>(de 0 à 9999)',

'bloc_ressource' => 'Convertir en liste certains documents et liens',
'bloc_ressource_automatique' => 'Convertir en liste les documents (et liens) précédés d\'un retour à la ligne',
'bloc_ressource_info' => 'Si on coche la case "oui", alors les documents et les liens (avec la syntaxe de SPIP), précédés d\'un retour à la ligne, sont automatiquement transformés en liste (HTML)
lors de l\'affichage d\'un article (sauf ceux qui sont dans un tableau SPIP ou dans un bloc ou dans un multi colonnes).',

'guillemet_interdit' => 'Les guillemets sont interdits',    
'preremplir_incorrect' => 'Les caractères autorisés sont les lettres, les chiffres et _ - \' : \ | , . [ ] { } ( ) < > =',    
'nom_incorrect' => 'Les caractères autorisés sont les lettres, les chiffres et _ - \' % ( ) . , /',    
'listeicones_incorrect' => 'Les caractères autorisés sont les lettres minuscules sans accent, les chiffres et - ,',    

'voir_config_multis_titre' => 'Voir la configuration des multi colonnes',
'config_multis_titre'  => 'Configurer les multi colonnes',
'config_multi' => 'Configuration du multi colonnes',    
'preremplir_multi' => 'Texte fictif qui figure dans chaque colonne',
'rang_multi' => 'Ordre dans la liste des multi colonnes (de 0 à 9999)',
'choix_export_multi' => 'Configuration des multi colonnes',
    
'marge_des_blocs' => 'Marge externe des blocs',    
'margin_top' => 'Marge externe en haut (unité:rem)',
'margin_bottom' => 'Marge externe en bas (unité:rem)',

'vider_cache' => 'Recalculer le cache des blocs',
    
'config_couleur_titre' => 'Choisir une palette de couleurs',
'config_style_titre' => 'Configurer le style pour l\'affichage de la liste des blocs',

'voir_config_couleur_titre' => 'Voir la palette de couleurs',
'voir_config_style_titre' => 'Voir le style pour l\'affichage de la liste des blocs',

'desactive_couleur' => 'Désactive la couleur',

);

?>